API ReferenceapicashGET /v1/cash/ledger

GET /v1/cash/ledger

Service: cash · operationId: (none)

Paginated ledger entries for a user+brand

Required scopes

(no scope declared — review service config)

Query parameters

  • user_id (string) required
  • brand_id (string) required
  • limit (integer) —
  • cursor (string) —

Responses

200 Ledger page retrieved

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "account_id": {
            "type": "string"
          },
          "grant_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "amount_cents": {
            "type": "integer"
          },
          "type": {
            "type": "string"
          },
          "reason": {
            "type": "string"
          },
          "memo": {
            "type": [
              "string",
              "null"
            ]
          },
          "created_at": {
            "type": "string",
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "account_id",
          "grant_id",
          "amount_cents",
          "type",
          "reason",
          "memo",
          "created_at"
        ]
      }
    },
    "next_cursor": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "data",
    "next_cursor"
  ]
}

404 Account not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Internal server error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://cash.platform.loop.health/v1/cash/ledger \
  -H "Authorization: Bearer $ACCESS_TOKEN"